curl -X DELETE \
'https://api.appcharge.com/components/v1/offer-design/rolling-offer-design' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"id": "694a7c8e87f78fb36a931763",
"offerUiType": "RollingOffer",
"name": "Rolling Offer Design",
"externalId": "rolling-offer-design",
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"externalBackgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"backgroundColor": "#272727",
"backgroundOpacity": 80,
"headerImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png",
"arrowColor": "#ffffff",
"enableScroll": true,
"scrollArrowImageUrl": "https://media.appcharge.com/media/6a16acaaca88ed66dca87ea0/17823570__197c6854-d0af-4eba-8364-74bfb3c88e4f",
"arrowImageUrl": "",
"borderColor": {
"colorOne": "#ffffff",
"colorTwo": "#ffffff",
"direction": "to right"
},
"borderWidth": 2,
"subRollingOffer": {
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"collectText": "FREE",
"lockImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/lock.png",
"backgroundColor": {
"colorOne": "#ffffff",
"colorTwo": "#ffffff",
"gradientDirection": "to right"
}
}
}
{
"message": "Unauthorized"
}
Delete Rolling Offer Design
Deletes a rolling offer design.
Note: You can’t delete an offer design while it’s in use by an offer.
curl -X DELETE \
'https://api.appcharge.com/components/v1/offer-design/rolling-offer-design' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"id": "694a7c8e87f78fb36a931763",
"offerUiType": "RollingOffer",
"name": "Rolling Offer Design",
"externalId": "rolling-offer-design",
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"externalBackgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"backgroundColor": "#272727",
"backgroundOpacity": 80,
"headerImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png",
"arrowColor": "#ffffff",
"enableScroll": true,
"scrollArrowImageUrl": "https://media.appcharge.com/media/6a16acaaca88ed66dca87ea0/17823570__197c6854-d0af-4eba-8364-74bfb3c88e4f",
"arrowImageUrl": "",
"borderColor": {
"colorOne": "#ffffff",
"colorTwo": "#ffffff",
"direction": "to right"
},
"borderWidth": 2,
"subRollingOffer": {
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"collectText": "FREE",
"lockImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/lock.png",
"backgroundColor": {
"colorOne": "#ffffff",
"colorTwo": "#ffffff",
"gradientDirection": "to right"
}
}
}
{
"message": "Unauthorized"
}
curl -X DELETE \
'https://api.appcharge.com/components/v1/offer-design/rolling-offer-design' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"id": "694a7c8e87f78fb36a931763",
"offerUiType": "RollingOffer",
"name": "Rolling Offer Design",
"externalId": "rolling-offer-design",
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"externalBackgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"backgroundColor": "#272727",
"backgroundOpacity": 80,
"headerImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png",
"arrowColor": "#ffffff",
"enableScroll": true,
"scrollArrowImageUrl": "https://media.appcharge.com/media/6a16acaaca88ed66dca87ea0/17823570__197c6854-d0af-4eba-8364-74bfb3c88e4f",
"arrowImageUrl": "",
"borderColor": {
"colorOne": "#ffffff",
"colorTwo": "#ffffff",
"direction": "to right"
},
"borderWidth": 2,
"subRollingOffer": {
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"collectText": "FREE",
"lockImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/lock.png",
"backgroundColor": {
"colorOne": "#ffffff",
"colorTwo": "#ffffff",
"gradientDirection": "to right"
}
}
}
{
"message": "Unauthorized"
}
Headers
Publisher token, as displayed in the Publisher Dashboard.
Path Parameters
Design ID that you defined.
Response
Rolling offer design deleted successfully.
Design ID
"694a7c8e87f78fb36a931763"
Type of offer design.
RollingOffer "RollingOffer"
Offer design name.
"Rolling Offer Design"
Design ID that you defined.
"rolling-offer-design"
Background image URL for the offer design.
"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png"
Background color of the rolling offer.
"#272727"
Background opacity value.
80
Header image URL for the rolling offer.
"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png"
Color of the arrow in the rolling offer.
"#ffffff"
Whether scrolling through sub offers is enabled. Scroll arrows appear only in the horizontal Rolling Offer layout on desktop. In the vertical layout on mobile, players scroll or swipe without arrows. When false, scrolling is off and scrollArrowImageUrl is ignored.
true
Image URL for a custom square image with a right-pointing arrow for the scroll controls. Appcharge mirrors the image for the opposite direction. If omitted, Appcharge uses default scroll arrow icons. Only applies when enableScroll is true.
"https://media.appcharge.com/media/6a16acaaca88ed66dca87ea0/17823570__197c6854-d0af-4eba-8364-74bfb3c88e4f"
Image URL for the arrows between sub offers.
"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/arrow.png"
Color details returned by offer designs.
Show child attributes
Show child attributes
Width of the border in pixels.
2
Information about the sub rolling offer configuration.
Show child attributes
Show child attributes
Original background image URL for rolling offer backgrounds when an external image URL is used.
"https://cdn.example.com/assets/background.png"
Was this page helpful?
